SynchronizerTokensHolder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Groovy] Class SynchronizerTokensHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.SynchronizerTokensHolder

All Implemented Interfaces:
  java.io.Serializable

    class SynchronizerTokensHolder
    extends java.lang.Object

A token used to handle double-submits.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`static java.lang.String` | `HOLDER`
`static java.lang.String` | `TOKEN_KEY`
`static java.lang.String` | `TOKEN_URI`

Property Summary
`java.util.Map` | `currentTokens`

Method Summary
`java.lang.String` | `generateToken(java.lang.String url)`
`protected java.util.Set` | `getTokens(java.lang.String url)`
`boolean` | `isEmpty()`
`boolean` | `isValid(java.lang.String url, java.lang.String token)`
`void` | `resetToken(java.lang.String url)`
`void` | `resetToken(java.lang.String url, java.lang.String token)`
`static SynchronizerTokensHolder` | `store(javax.servlet.http.HttpSession session)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### HOLDER

    public static final java.lang.String HOLDER

### TOKEN_KEY

    public static final java.lang.String TOKEN_KEY

### TOKEN_URI

    public static final java.lang.String TOKEN_URI

Property Detail

### currentTokens

    java.util.Map currentTokens

Method Detail

### generateToken

    java.lang.String generateToken(java.lang.String url)

### getTokens

    protected java.util.Set getTokens(java.lang.String url)

### isEmpty

    boolean isEmpty()

### isValid

    boolean isValid(java.lang.String url, java.lang.String token)

### resetToken

    void resetToken(java.lang.String url)

### resetToken

    void resetToken(java.lang.String url, java.lang.String token)

### store

    static SynchronizerTokensHolder store(javax.servlet.http.HttpSession session)

Groovy Documentation